import { MouseEvent } from 'react';
import { MessageBoxContainerProps } from './interface';
import './style';
declare const MessageBox: {
    onClose: (event: MouseEvent<HTMLButtonElement>) => void;
    onCancel: (event: MouseEvent<HTMLButtonElement>) => void;
    onConfirm: (event: MouseEvent<HTMLButtonElement>) => void;
    alert: (message: string | React.ReactNode, title: string, context?: MessageBoxContainerProps) => void;
    confirm: (message: string | React.ReactNode, title: string, context?: MessageBoxContainerProps) => void;
};
export default MessageBox;
