import { CSSProperties, HTMLAttributes } from 'react';
export interface TableProps extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref'> {
    style?: CSSProperties;
    className?: string | string[];
    columns?: any[];
    data?: any[];
    stripe?: boolean;
    border?: boolean;
}
