import { CSSProperties, HTMLAttributes } from 'react';
export interface BadgeProps extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref'> {
    style?: CSSProperties;
    className?: string | string[];
    value?: string | number;
    type?: 'primary' | 'success' | 'warning' | 'danger' | 'info';
    max?: number;
    isDot?: boolean;
}
