import { CSSProperties, HTMLAttributes } from 'react';
export interface InputProps extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref' | 'onChange'> {
    style?: CSSProperties;
    className?: string | string[];
    placeholder?: string;
    value?: string;
    disabled?: boolean;
    clearable?: boolean;
    size?: 'large' | 'default' | 'small';
    onChange?: (event: string) => void;
}
