import { CSSProperties, HTMLAttributes } from "react";
export interface SpaceProps extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref'> {
    style?: CSSProperties;
    className?: string | string[];
    wrap?: boolean;
    direction?: 'vertical' | 'horizontal';
    size?: 'default' | 'small' | 'large' | number;
    spacer?: string | number | React.ReactNode;
    alignment?: string;
}
